package Sync

import (
	"path/filepath"
	"strings"
)

func comparePath(localBase, localPath, remoteBase, remotePath string) bool {
	localCompare := normalisePath(localBase, localPath)
	remoteCompare := normalisePath(remoteBase, remotePath)
	return localCompare == remoteCompare
}

func normalisePath(base, path string) string {
	result := strings.Replace(path, base, ``, 1)
	result = filepath.ToSlash(result)
	return strings.ToLower(result)
}
